summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-bindir
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-bindir')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir10
1 files changed, 9 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index e9890c22bb0..54292a4a7f4 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -105,6 +105,9 @@ for tlname in $tlnames; do
default_bin_loc=$download_loc;;
# too many subdirs, extract bin manually.
#http://students.dec.bmth.ac.uk/ebarrett/files/texlive2008_OpenBSD_bin_rc1.tgz -O $default_bin_loc;;
+ i386-solaris)
+ default_bin_loc=${TMPDIR-$tmpdir}/tl.$tlname.tar.lzma
+ $download http://193.92.244.84/~apostolo/i386-pc-solaris2.10.tar.lzma -O $default_bin_loc;;
powerpc-darwin|i386-darwin)
default_bin_loc=$download_loc
$download http://www.uoregon.edu/~koch/$tlname.tar.gz -O $default_bin_loc;;
@@ -126,7 +129,12 @@ for tlname in $tlnames; do
if test -f "$bin_loc"; then
srcdir=$tmpdir/unpacked
mkdir $srcdir
- (cd $srcdir && tar xf $bin_loc) || exit 1
+ if echo "$bin_loc" | grep 'lzma$' >/dev/null; then
+ lzma=--lzma # tar xf doesn't quite know lzma yet
+ else
+ lzma=
+ fi
+ (cd $srcdir && tar xf $bin_loc $lzma) || exit 1
elif test -d "$bin_loc"; then
srcdir=$bin_loc # already have a directory